Subject: Gajim fails with locale.Error

From: Arun Isaac <[email-masked]>
Date: Tue, 09 Aug 2016 10:56:53 +0530

I installed gajim with `guix package -i gajim`. When I try to run it, it
fails with the following error message:

/gnu/store/ykzwykkvr2c80rw4l1qh3mvfdkl7jibi-bash-4.3.42/bin/sh: hg: command not found
Traceback (most recent call last):
  File "gajim.py", line 131, in <module>
    logging_helpers.init(sys.stderr.isatty())
  File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/demandimport.py", line 86, in __getattribute__
    self._load()
  File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/demandimport.py", line 58, in _load
    mod = _origimport(head, globals, locals)
  File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/logging_helpers.py", line 22, in <module>
    import i18n
  File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/demandimport.py", line 95, in _demandimport
    return _import(name, globals, locals, fromlist, level)
  File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/i18n.py", line 54, in <module>
    locale.setlocale(locale.LC_ALL, '')
  File "/gnu/store/vcx1n5nj4gr52xx5m6gvi7zrwngy06s3-python-2.7.11/lib/python2.7/locale.py", line 579, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

I have set my locale in my operating system configuration as shown in
the example configuration in the manual. Is there anything else to be
done that I am missing? Could this be a bug in the gajim package?